// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosSdk",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosSdk", targets: ["WebIdIosSdkWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosSdk",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/snapshots/de/webid-solutions/WebIdIosSdk/11.2.0/WebIdIosSdk.framework-v11.2.0-SNAPSHOT-621.zip",
            checksum: "d01feb4e3253ef865ec276e01ce1ab4a247a3d872469bad8e3b17b6f03b48f85"
        ),
        .target(
            name: "WebIdIosSdkWrapper",
            dependencies: [
                .target(name: "WebIdIosSdk"),
                // [target dependecies here]
                
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
